Chromium Code Reviews
Help | Chromium Project | Sign in
(10)

Issue 10854139: Use HttpAuthController in SocketStream (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 9 months ago by bashi1
Modified:
2 years, 8 months ago
CC:
chromium-reviews, cbentzel+watch_chromium.org, darin-cc_chromium.org, Yuta Kitamura, Takashi Toyoshima (chromium)
Base URL:
http://git.chromium.org/chromium/src.git@master
Visibility:
Public.

Description

Use HttpAuthController in SocketStream We need to share http auth cache with http stack because WebSocket is a subresource and chromium won't show the login dialog for subresource loading. Use HttpAuthController and pass the common http auth cache to it to solve the issue. BUG=47069 TEST=net_unittests Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=155582

Patch Set 1 #

Total comments: 15

Patch Set 2 : #

Total comments: 16

Patch Set 3 : #

Total comments: 10

Patch Set 4 : Add browser test. #

Total comments: 29

Patch Set 5 : #

Patch Set 6 : Fix browser_test #

Total comments: 4

Patch Set 7 : #

Patch Set 8 : Rebased and Skipped added browser test on chromeos #

Unified diffs Side-by-side diffs Delta from patch set Stats (+471 lines, -191 lines) Patch
A chrome/browser/net/proxy_browsertest.cc View 1 2 3 4 5 6 7 1 chunk +118 lines, -0 lines 0 comments Download
M chrome/browser/ssl/ssl_browser_tests.cc View 1 2 3 4 5 6 7 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/chrome_tests.gypi View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
A + chrome/test/data/http/tests/ws.html View 1 2 3 4 5 2 chunks +3 lines, -10 lines 0 comments Download
D chrome/test/data/http/tests/wss.html View 1 2 3 4 1 chunk +0 lines, -39 lines 0 comments Download
M net/http/http_auth_handler_digest.cc View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M net/http/http_auth_handler_digest_unittest.cc View 1 2 3 4 1 chunk +28 lines, -0 lines 0 comments Download
M net/socket_stream/socket_stream.h View 1 2 3 6 chunks +6 lines, -9 lines 0 comments Download
M net/socket_stream/socket_stream.cc View 1 2 3 4 5 6 14 chunks +74 lines, -130 lines 0 comments Download
M net/socket_stream/socket_stream_unittest.cc View 1 2 3 2 chunks +114 lines, -0 lines 0 comments Download
M net/test/base_test_server.h View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
M net/test/local_test_server.cc View 1 2 3 4 5 6 7 1 chunk +3 lines, -0 lines 0 comments Download
M net/tools/testserver/testserver.py View 1 2 3 4 5 6 4 chunks +119 lines, -0 lines 0 comments Download
Commit: CQ not working?

Messages

Total messages: 57 (0 generated)
bashi1
Hi cbentzel, wtc, Could you take a look?
2 years, 9 months ago (2012-08-14 07:27:53 UTC) #1
wtc
Patch set 1 LGTM. I am no longer that familiar with the current HTTP auth ...
2 years, 9 months ago (2012-08-14 18:34:37 UTC) #2
cbentzel
Added asanka as well - my knowledge is getting increasingly rusty too. A general concern: ...
2 years, 9 months ago (2012-08-14 19:32:38 UTC) #3
bashi1
Thank you for review! https://chromiumcodereview.appspot.com/10854139/diff/1/net/socket_stream/socket_stream.cc File net/socket_stream/socket_stream.cc (right): https://chromiumcodereview.appspot.com/10854139/diff/1/net/socket_stream/socket_stream.cc#newcode713 net/socket_stream/socket_stream.cc:713: return !is_secure() && (proxy_info_.is_http() || ...
2 years, 9 months ago (2012-08-14 21:45:45 UTC) #4
bashi1
On 2012/08/14 19:32:38, cbentzel wrote: > A general concern: I thought the WebSocket code was ...
2 years, 9 months ago (2012-08-14 21:49:14 UTC) #5
cbentzel
On 2012/08/14 21:49:14, bashik wrote: > On 2012/08/14 19:32:38, cbentzel wrote: > > A general ...
2 years, 9 months ago (2012-08-14 22:16:11 UTC) #6
wtc
Patch set 2 LGTM. https://chromiumcodereview.appspot.com/10854139/diff/1/net/socket_stream/socket_stream.cc File net/socket_stream/socket_stream.cc (right): https://chromiumcodereview.appspot.com/10854139/diff/1/net/socket_stream/socket_stream.cc#newcode713 net/socket_stream/socket_stream.cc:713: return !is_secure() && (proxy_info_.is_http() || ...
2 years, 9 months ago (2012-08-14 23:20:35 UTC) #7
wtc
https://chromiumcodereview.appspot.com/10854139/diff/6001/net/socket_stream/socket_stream_unittest.cc File net/socket_stream/socket_stream_unittest.cc (right): https://chromiumcodereview.appspot.com/10854139/diff/6001/net/socket_stream/socket_stream_unittest.cc#newcode443 net/socket_stream/socket_stream_unittest.cc:443: // proxy. Nit: please add "so the port may ...
2 years, 9 months ago (2012-08-14 23:22:26 UTC) #8
cbentzel
Do you have something like a browser_test for this? It doesn't seem like the existing ...
2 years, 9 months ago (2012-08-15 17:13:43 UTC) #9
cbentzel
My high level concern is that I do not believe this will work for WSS ...
2 years, 9 months ago (2012-08-15 18:08:01 UTC) #10
bashi1
Hi wtc, cbentzel, Thank you for review! I'm ooo till Aug 19 so I'll address ...
2 years, 9 months ago (2012-08-16 05:54:19 UTC) #11
bashi1
Thank you for review. We need a proxy server implementation (perhaps in testserver.py) to add ...
2 years, 9 months ago (2012-08-20 01:35:10 UTC) #12
cbentzel
Have you tested if this works through an NTLM or Negotiate authenticating proxy - they ...
2 years, 9 months ago (2012-08-20 11:13:39 UTC) #13
cbentzel
Also - I think the browser_tests would be worth it, particularly if there are even ...
2 years, 9 months ago (2012-08-20 11:23:00 UTC) #14
wtc
Patch set 3 LGTM. Please do not check this in until cbentzel is happy with ...
2 years, 9 months ago (2012-08-21 21:30:45 UTC) #15
bashi1
Adding jar@ for chrome/ review. Added a browser test and a simple proxy server for ...
2 years, 9 months ago (2012-08-22 08:36:43 UTC) #16
cbentzel
On 2012/08/22 08:36:43, bashik wrote: > Adding jar@ for chrome/ review. > > Added a ...
2 years, 9 months ago (2012-08-22 13:17:52 UTC) #17
wtc
Patch set 4 LGTM. I like the new tests! http://codereview.chromium.org/10854139/diff/15001/chrome/browser/net/proxy_browsertest.cc File chrome/browser/net/proxy_browsertest.cc (right): http://codereview.chromium.org/10854139/diff/15001/chrome/browser/net/proxy_browsertest.cc#newcode29 chrome/browser/net/proxy_browsertest.cc:29: ...
2 years, 9 months ago (2012-08-22 19:42:26 UTC) #18
cbentzel
Why is the Threading mixin required for testserver.py? http://codereview.chromium.org/10854139/diff/15001/chrome/browser/net/proxy_browsertest.cc File chrome/browser/net/proxy_browsertest.cc (right): http://codereview.chromium.org/10854139/diff/15001/chrome/browser/net/proxy_browsertest.cc#newcode99 chrome/browser/net/proxy_browsertest.cc:99: StringPrintf("%s%d%s", ...
2 years, 9 months ago (2012-08-22 20:19:43 UTC) #19
cbentzel
Also - other than the Digest-related BUG, this generally looks good. Thanks for taking the ...
2 years, 9 months ago (2012-08-22 20:26:47 UTC) #20
wtc
bashi: I prototyped my suggested change to state transition in https://chromiumcodereview.appspot.com/10875022/ because I am worried ...
2 years, 9 months ago (2012-08-22 22:19:08 UTC) #21
bashi1
> We have proxies set up in our office like this - I'll send you ...
2 years, 9 months ago (2012-08-23 09:54:15 UTC) #22
bashi1
On 2012/08/22 22:19:08, wtc wrote: > bashi: I prototyped my suggested change to state transition ...
2 years, 9 months ago (2012-08-23 09:55:23 UTC) #23
Takashi Toyoshima (chromium)
http://codereview.chromium.org/10854139/diff/15001/chrome/test/data/http/tests/ws.html File chrome/test/data/http/tests/ws.html (right): http://codereview.chromium.org/10854139/diff/15001/chrome/test/data/http/tests/ws.html#newcode35 chrome/test/data/http/tests/ws.html:35: setTimeout(timeOutCallback, 3000); Yes. Originally, I intended to realize timeout ...
2 years, 9 months ago (2012-08-23 11:27:26 UTC) #24
bashi1
http://codereview.chromium.org/10854139/diff/15001/chrome/test/data/http/tests/ws.html File chrome/test/data/http/tests/ws.html (right): http://codereview.chromium.org/10854139/diff/15001/chrome/test/data/http/tests/ws.html#newcode35 chrome/test/data/http/tests/ws.html:35: setTimeout(timeOutCallback, 3000); On 2012/08/23 11:27:26, toyoshim wrote: > Yes. ...
2 years, 9 months ago (2012-08-23 11:53:24 UTC) #25
cbentzel
http://codereview.chromium.org/10854139/diff/15001/chrome/test/data/http/tests/ws.html File chrome/test/data/http/tests/ws.html (right): http://codereview.chromium.org/10854139/diff/15001/chrome/test/data/http/tests/ws.html#newcode35 chrome/test/data/http/tests/ws.html:35: setTimeout(timeOutCallback, 3000); On 2012/08/23 11:53:24, bashik wrote: > On ...
2 years, 9 months ago (2012-08-23 14:56:58 UTC) #26
cbentzel
LGTM Thank you for cleaning this up and adding all of the tests. The browser ...
2 years, 9 months ago (2012-08-23 15:10:26 UTC) #27
wtc
Patch set 6 LGTM. http://codereview.chromium.org/10854139/diff/29003/net/socket_stream/socket_stream.cc File net/socket_stream/socket_stream.cc (right): http://codereview.chromium.org/10854139/diff/29003/net/socket_stream/socket_stream.cc#newcode911 net/socket_stream/socket_stream.cc:911: } else if (delegate_) { ...
2 years, 9 months ago (2012-08-23 21:04:24 UTC) #28
bashi1
Adding ben@ for chrome/ review. Thank you for review. I noticed that |sock| in testserver.py ...
2 years, 9 months ago (2012-08-23 23:22:36 UTC) #29
bashi1
Hi jar, ben, Could you take a look for chrome/ ?
2 years, 9 months ago (2012-08-27 00:17:24 UTC) #30
Ben Goodger (Google)
jar can review the majority of the chrome stuff. gyp change lgtm ;-)
2 years, 9 months ago (2012-08-27 15:48:30 UTC) #31
jar (doing other things)
On 2012/08/27 15:48:30, Ben Goodger (Google) wrote: > jar can review the majority of the ...
2 years, 8 months ago (2012-08-27 17:52:59 UTC) #32
bashi1
On 2012/08/27 17:52:59, jar wrote: > On 2012/08/27 15:48:30, Ben Goodger (Google) wrote: > > ...
2 years, 8 months ago (2012-08-27 22:22:37 UTC) #33
I haz the power - commit-bot
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bashi@chromium.org/10854139/22006
2 years, 8 months ago (2012-08-27 22:22:47 UTC) #34
I haz the power - commit-bot
Try job failure for 10854139-22006 (retry) on win for step "runhooks" (clobber build). It's a ...
2 years, 8 months ago (2012-08-27 23:24:04 UTC) #35
I haz the power - commit-bot
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bashi@chromium.org/10854139/22006
2 years, 8 months ago (2012-08-28 03:43:02 UTC) #36
I haz the power - commit-bot
Try job failure for 10854139-22006 (retry) on linux_chromeos for step "browser_tests". It's a second try, ...
2 years, 8 months ago (2012-08-28 08:13:03 UTC) #37
bashi1
+kuan As for failing the new browser test on chromeos, it seems that chromeos bypasses ...
2 years, 8 months ago (2012-08-29 05:05:57 UTC) #38
cbentzel
Let's try to keep on ChromeOS. What if you do something like a MappedHostResolver which ...
2 years, 8 months ago (2012-08-29 13:52:30 UTC) #39
kuan
On 2012/08/29 05:05:57, bashik wrote: > +kuan > > As for failing the new browser ...
2 years, 8 months ago (2012-08-29 18:04:58 UTC) #40
bashi1
On 2012/08/29 13:52:30, cbentzel wrote: > Let's try to keep on ChromeOS. What if you ...
2 years, 8 months ago (2012-08-29 23:43:39 UTC) #41
cbentzel
+eroman Eric - any idea if proxy being bypassed for localhost on ChromeOS makes sense?
2 years, 8 months ago (2012-08-30 02:49:42 UTC) #42
eroman
Not sure exactly the context of this question, but it is pretty common to have ...
2 years, 8 months ago (2012-08-30 03:12:48 UTC) #43
eroman
Not sure exactly the context of this question, but it is pretty common to have ...
2 years, 8 months ago (2012-08-30 03:12:48 UTC) #44
cbentzel
Sorry - this is a browser_test failure on ChromeOS only where --proxy-server=localhost:4488 or similar is ...
2 years, 8 months ago (2012-08-30 03:17:38 UTC) #45
cbentzel
Sorry - this is a browser_test failure on ChromeOS only where --proxy-server=localhost:4488 or similar is ...
2 years, 8 months ago (2012-08-30 03:17:39 UTC) #46
cbentzel
Looking at ChromeOS's ProxyConfigServiceImpl, it looks like the issue may be that --proxy-server flag isn't ...
2 years, 8 months ago (2012-08-30 03:22:53 UTC) #47
cbentzel
Looking at ChromeOS's ProxyConfigServiceImpl, it looks like the issue may be that --proxy-server flag isn't ...
2 years, 8 months ago (2012-08-30 03:22:54 UTC) #48
bashi1
I think --proxy-server works on chromeos. I can see a login dialog for proxy server ...
2 years, 8 months ago (2012-08-30 03:39:20 UTC) #49
bashi1
I think --proxy-server works on chromeos. I can see a login dialog for proxy server ...
2 years, 8 months ago (2012-08-30 03:39:20 UTC) #50
cbentzel
OK, sounds like I read the code incorrectly. Thank you for checking. I can dive ...
2 years, 8 months ago (2012-08-30 03:42:17 UTC) #51
cbentzel
OK, sounds like I read the code incorrectly. Thank you for checking. I can dive ...
2 years, 8 months ago (2012-08-30 03:42:17 UTC) #52
bashi1
Hi cbentzel, As described separately, it's somewhat difficult to make this browser test work on ...
2 years, 8 months ago (2012-09-02 23:54:24 UTC) #53
cbentzel
On 2012/09/02 23:54:24, bashik wrote: > Hi cbentzel, > > As described separately, it's somewhat ...
2 years, 8 months ago (2012-09-07 12:54:16 UTC) #54
bashi1
Thanks, cbentzel! On 2012/09/07 12:54:16, cbentzel wrote: > On 2012/09/02 23:54:24, bashik wrote: > > ...
2 years, 8 months ago (2012-09-08 02:43:24 UTC) #55
I haz the power - commit-bot
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bashi@chromium.org/10854139/40001
2 years, 8 months ago (2012-09-08 02:45:19 UTC) #56
I haz the power - commit-bot
2 years, 8 months ago (2012-09-08 17:37:25 UTC) #57
Change committed as 155582
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld ec887be